2024-09-23:	sle15-sp6-1.8.2
	- merge gh#openSUSE/perl-bootloader#176
	- handle missing grub_installdevice on powerpc (bsc#1230070)

2024-03-19:	sle15-sp6-1.8.1
	- merge gh#openSUSE/perl-bootloader#167
	- log grub2-install errors correctly (bsc#1221470)

2023-09-07:	sle15-sp6-1.8
	- merge gh#openSUSE/perl-bootloader#158
	- skip warning about unsupported options when in compat mode

2023-09-07:	sle15-sp6-1.7
	- merge gh#openSUSE/perl-bootloader#156
	- bootloader_entry script can have an optional 'force-default'
	  argument (bsc#1215064)

2023-07-03:	sle15-sp6-1.6
	- merge gh#openSUSE/perl-bootloader#154
	- move kexec-bootloader from kexec-tools to perl-Bootloader

2023-06-28:	1.5
	- merge gh#openSUSE/perl-bootloader#153
	- check whether grub2-install supports --suse-force-signed option

2023-06-26:	1.4
	- merge gh#openSUSE/perl-bootloader#151
	- default-settings: support non-x86 architectures
	- add man pages for all commands

2023-06-26:	1.3
	- merge gh#openSUSE/perl-bootloader#149
	- use signed grub EFI binary when updating grub in default EFI
	  location (bsc#1210799)

2023-05-31:	1.2
	- merge gh#openSUSE/perl-bootloader#148
	- UEFI: update also default location, if it is controlled by SUSE
	  (bsc#1210799, bsc#1201399)

2023-05-19:	1.1
	- merge gh#openSUSE/perl-bootloader#144
	- add default-settings script
	- add new kexec-bootloader
	- add --default-settings option (bsc#1211082)
	- no not install kexec-bootloader
	- fix spec file, again

2023-04-24:	1.0
	- merge gh#openSUSE/perl-bootloader#143
	- adjust Makefile for usrmerge and legacy package split
	- move obs spec file to git repo
	- split off old perl code to perl-Bootloader-legacy package
	- remove legacy part completely
	- fix spec file

2023-04-24:	0.942
	- merge gh#openSUSE/perl-bootloader#142
	- use fw_platform_size to distinguish between 32 bit and 64 bit
	  UEFI platforms (bsc#1208003)

2023-01-12:	0.941
	- merge gh#openSUSE/perl-bootloader#141
	- systemd-boot: easier initial setup

2022-12-05:	0.940
	- merge gh#openSUSE/perl-bootloader#140
	- add basic support for systemd-boot

2022-04-27:	0.939
	- merge gh#openSUSE/perl-bootloader#139
	- fix sysconfig parsing (bsc#1198828)

2022-04-07:	0.938
	- merge gh#openSUSE/perl-bootloader#138
	- grub2/install: reset error code when passing through recover code
	  (bsc#1198197)

2022-01-13:	0.937
	- merge gh#openSUSE/perl-bootloader#137
	- grub2 install: Support secure boot on powerpc (bsc#1192764
	  jsc#SLE-18271).

2021-09-16:	0.936
	- merge gh#openSUSE/perl-bootloader#136
	- report error if config file could not be updated (bsc#1188768)

2021-07-27:	0.935
	- merge gh#openSUSE/perl-bootloader#135
	- fix typo in update-bootloader

2021-04-15:	0.934
	- merge gh#openSUSE/perl-bootloader#134
	- install with --removable if efivars are not writable
	  (bsc#1182749, bsc#1174111, bsc#1184160)
	- fix whitespace

2021-02-11:	0.933
	- merge gh#openSUSE/perl-bootloader#133
	- use shim on aarch64 (jsc#SLE-15823, jsc#SLE-15020)

2020-10-19:	0.932
	- merge gh#openSUSE/perl-bootloader#131
	- grub2 install: honor UPDATE_NVRAM in /etc/sysconfig/bootloader
	  (bsc#1157550 jsc#SLE-11500).

2020-07-24:	0.931
	- merge gh#openSUSE/perl-bootloader#129
	- Check tpm.mod in the new grub2 directory (bsc#1174320)

2020-07-23:	0.930
	- merge gh#openSUSE/perl-bootloader#130
	- Throw less warnings about fstab

2020-07-14:	0.929
	- merge gh#openSUSE/perl-bootloader#128
	- Do not warn about missing SECURE_BOOT sysconfig

2020-06-03:	0.928
	- merge gh#openSUSE/perl-bootloader#127
	- use correct target name on aarch64 (bsc#1172293)

2020-04-24:	0.927
	- merge gh#openSUSE/perl-bootloader#126
	- always install EFI fallback boot for aarch64 (bsc#1167015)

2019-10-14:	0.926
	- merge gh#openSUSE/perl-bootloader#123
	- Accept sysconfig values without quotes

2019-07-03:	0.925
	- merge gh#openSUSE/perl-bootloader#122
	- Replace --suse-signed-grub by --suse-force-signed to follow
	  update from boo#1136601

2019-06-06:	0.924
	- merge gh#openSUSE/perl-bootloader#121
	- Fix secureboot on aarch64 (boo#1136601)
	- [RFC] Fix secureboot on aarch64 (boo#1136601)

2018-09-27:	0.923
	- merge gh#openSUSE/perl-bootloader#120
	- create temporary files in /tmp (bsc#1108777)

2018-08-24:	0.922
	- merge gh#openSUSE/perl-bootloader#117
	- work without /etc/default/grub_installdevice (bsc#1079321,
	  bsc#994322)
	- removed unused function
	- update git2log script

2018-07-05:	0.921
	- merge gh#openSUSE/perl-bootloader#116
	- add --get-option to pbl (bsc#1033776, bsc#1050349)

2018-07-05:	0.920
	- merge gh#openSUSE/perl-bootloader#115
	- Avoid undefined var warning

2017-05-12:	0.919
	- merge gh#openSUSE/perl-bootloader#113
	- fix device name check (bsc#1033634)

2017-04-28:	0.918
	- merge gh#openSUSE/perl-bootloader#112
	- implemented trusted boot/TPM support in UEFI mode (bsc#1036735,
	  fate#315831)

2017-01-24:	0.917
	- merge gh#openSUSE/perl-bootloader#107
	- grub2: parse initrd (bsc#1007335)
	- merge gh#openSUSE/perl-bootloader#108
	- grub2: drop trailing space from saved entry

2016-10-18:	0.916
	- merge gh#openSUSE/perl-bootloader#106
	- run shim-install only if secure boot is set to yes (bsc#985567)

2016-07-22:	0.915
	- merge branch bsc_985946
	- run grub in RC_LANG locale taken from sysconfig (bsc#985946)
	- also clear LC_ALL when setting locale

2016-07-22:	0.914
	- merge gh#openSUSE/perl-bootloader#102
	- ensure trusted boot setting is used (fate#316553)

2016-05-11:	0.913
	- merge gh#openSUSE/perl-bootloader#101
	- Don't install grub2-efi during installation (bsc#979145)

2016-04-21:	0.912
	- merge gh#openSUSE/perl-bootloader#100
	- we don't need grub_installdevice on s390x (bsc#976466)

2016-03-31:	0.911
	- merge gh#openSUSE/perl-bootloader#99
	- Revert "Set GRUB_GFXPAYLOAD based on gfxterm"

2016-03-29:	0.910
	- merge gh#openSUSE/perl-bootloader#96
	- Fix syntax errors in grub2/install

2016-03-24:	0.909
	- merge gh#openSUSE/perl-bootloader#95
	- Set GRUB_GFXPAYLOAD based on gfxterm

2016-03-15:	0.908
	- merge gh#openSUSE/perl-bootloader#94
	- Skip grub2-install on PowerNV

2016-03-03:	0.907
	- merge gh#openSUSE/perl-bootloader#93
	- grub2-efi: Make 32bit arm be a wildcard match
	- grub2-efi: Allow fallback to removable booting
	- Arm efi

2016-02-08:	0.906
	- merge gh#openSUSE/perl-bootloader#91
	- fix misleading error message (bsc#965499)

2016-02-08:	0.905
	- merge gh#openSUSE/perl-bootloader#90
	- Fix parsing of /etc/default/grub

2016-01-22:	0.904
	- merge gh#openSUSE/perl-bootloader#89
	- Fix dtb searching
	- fix typo

2015-12-18:	0.903
	- merge gh#openSUSE/perl-bootloader#88
	- improve add/del-option scripts
	- rename uboot to u-boot

2015-12-18:	0.902
	- merge gh#openSUSE/perl-bootloader#87
	- added support for modifying default boot options

2015-12-16:	0.901
	- merge gh#openSUSE/perl-bootloader#83
	- Add initial implementation of uboot/config script

2015-11-25:	0.900
	- Test 10

2015-10-06:	0.844
	- merge gh#openSUSE/perl-bootloader#79
	- rework boot.readme (bsc#948778)

2015-09-30:	0.843
	- merge gh#openSUSE/perl-bootloader#77
	- fix extended partition detection (bsc#947697)

2015-09-22:	0.842
	- merge gh#openSUSE/perl-bootloader#76
	- fix empty distributor handling for grub2-efi (bsc#942519)
	- more fixes in grub2-efi

2015-09-15:	0.841
	- merge gh#openSUSE/perl-bootloader#75
	- allow empty distributor, which for new grub2 means use os-release
	  (bnc#942519)

2015-09-02:	0.840
	- merge gh#openSUSE/perl-bootloader#74
	- add new wrapper script to get rid of old perl-Bootloader code for
	  grub2
	- adjust Makefile
	- support --reinit option to force grub2 install
	- some minor corrections
	- add documentation
	- introduce separate per-bootloader scripts
	- updated doc
	- move bootloader scripts into separate subdirectories
	- continue after wrong entries in grub_install_device
	- make grub_installdevice parsing more robust
	- remove no longer needed quotes (bsc#940486)
	- update git2log script to latest version
	- Bsc 940486

2015-07-20:	0.839
	- merge gh#openSUSE/perl-bootloader#73
	- do not escape empty string as it lead to invalid kernel command
	  line (bnc#937806)

2015-06-23:	0.838
	- merge gh#openSUSE/perl-bootloader#72
	- do not prepend additional empty space to append (bnc#926426)

2015-06-18:	0.837
	- merge gh#openSUSE/perl-bootloader#71
	- use proper upstream name for disabling recovery section (bnc#898099)

2015-06-17:	0.836
	- merge gh#openSUSE/perl-bootloader#70
	- ensure to uncommend grub2 disabling option (fate#317016)

2015-06-16:	0.835
	- merge gh#openSUSE/perl-bootloader#69
	- Allow to setup disabling of recovery section (fate#317016)

2015-06-05:	0.834
	- merge gh#openSUSE/perl-bootloader#68
	- Escape dollar signs (bsc#857556)

2015-04-30:	0.833
	- merge gh#openSUSE/perl-bootloader#67
	- Escape/unescape special characters on write/read (bsc#831791)
	- git log

2015-04-22:	0.832
	- merge gh#openSUSE/perl-bootloader#66
	- export more pbl functions via yaml interface to allow easier
	  testing
	- rewrite ReadFile() to handle utf8 properly (bnc#899921)
	- use ReadFileRaw() to read grub2 config (bnc#899921)
	- use only WriteFileRaw() to actually write files
	- rewrite file-io to do some utf8 processing that keeps non-utf8
	  files intact as much as possible
	- started pbl-yaml testsuite
	- added test cases for various utf8/non-utf8/really broken config
	  files
	- Bnc 899921

2015-03-26:	0.831
	- merge gh#openSUSE/perl-bootloader#65
	- add device scannning speed-ups done for sle11-sp3 (bnc#910479)
	- remove unrelated comment

2015-02-11:	0.830
	- merge gh#openSUSE/perl-bootloader#63
	- Initialize GRUB_USE_LINUXEFI from target setting
	- Initialize GRUB_USE_LINUXEFI from secure_boot setting

2015-01-27:	0.829
	- merge gh#openSUSE/perl-bootloader#61
	- Determine disk device from sysfs tree

2015-01-19:	0.828
	- merge gh#openSUSE/perl-bootloader#57
	- preserve config file permissions (bnc#908664)

2014-12-08:	0.827
	- merge gh#openSUSE/perl-bootloader#53
	- Add armv7l support for grub2

2014-10-15:	0.826
	- merge gh#openSUSE/perl-bootloader#50
	- prepare for jenkins auto-submission

2014-10-15:	0.825
	- merge gh#openSUSE/perl-bootloader#44
	- support GRUB_ENABLE_CRYPTODISK config option
	- release 0.821
	- change GRUB_ENABLE_CRYPTODISK values to 'y'/'n'
	- add check to auto turn on GRUB_ENABLE_CRYPTODISK if /boot/grub2
	  is on an encrypted partition
	- fix spelling
	- Crypto
	- merge gh#openSUSE/perl-bootloader#45
	- join byid and kern maps instead of picking one (bnc#896665)
	- ensure that device nap hash values (hd0, hd1...) are unique
	- simplify device map logging
	- release 0.822
	- merge gh#openSUSE/perl-bootloader#46
	- write only files we have data for (bsc#898429)
	- release 0.823
	- Bsc 898429
	- merge gh#openSUSE/perl-bootloader#48
	- fix GRUB_TERMINAL check (bsc#898609)
	- added comment explaining things
	- release 0.824
	- merge gh#openSUSE/perl-bootloader#49
	- Handle aarch64 in GRUB2EFI
	- release 0.825

2014-08-08:	0.820
	- Revert "release 0.818"
	- merge gh#openSUSE/perl-bootloader#40
	- fix error on firmware raid install
	- merge gh#openSUSE/perl-bootloader#41
	- fix encoding when reading grub2.conf (bnc#890362)
	- rlease
	- Fix utf8
	- remove dependency on e2fsprogs (bnc#890795)
	- release 0.820

2014-06-06:	0.818
	- merge gh#openSUSE/perl-bootloader#39
	- use linuxefi as default
	- release 0.818

2014-05-15:	0.816
	- merge gh#openSUSE/perl-bootloader#29
	- finally drop old log file
	- remove /var/log/YaST2/y2log_bootloader
	- add MaxDepth parameter to logging function
	- clean up logging in some functions
	- make $VERSION a string
	- add logrotate file (bnc#822774)
	- adjust spec
	- update version and changes
	- basic description of logging function
	- Pbl log
	- merge gh#openSUSE/perl-bootloader#30
	- enable btrfs snapshot booting on ppc
	- merge gh#openSUSE/perl-bootloader#33
	- fix regexp to not backtrack endlessly if parentheses don't match
	  (bnc#875369)
	- Bnc 875369 b
	- merge gh#openSUSE/perl-bootloader#34
	- fix update
	- have static list of config files also for GRUB2EFI.
	- Fix update
	- merge gh#openSUSE/perl-bootloader#37
	- enable btrfs snapshot booting on all architectures
	- merge gh#openSUSE/perl-bootloader#38
	- Remove grub2 sections workaround
	- remove also from grub2efi workaround
	- release 0.816

2014-04-03:	0.810
	- fix ppc install (bnc#871691)
	- update version and changes

2014-04-03:	0.809
	- merge gh#openSUSE/perl-bootloader#27
	- snapper rollback support
	- up version
	- merge gh#openSUSE/perl-bootloader#28
	- enable SUSE_BTRFS_SNAPSHOT_BOOTING only on i386-pc
	- merge branch device_map
	- also update device.map
	- update version and changes

2014-03-04:	0.806
	- merge gh#openSUSE/perl-bootloader#25
	- support grub2 on s390x
	- update changes and version

2014-02-27:	0.805
	- merge gh#openSUSE/perl-bootloader#24
	- propagate serial console setting to xen
	- new version

2014-02-17:	0.804
	- merge gh#openSUSE/perl-bootloader#23
	- fix section info not return initrd
	- new version

2014-02-11:	0.803
	- merge gh#openSUSE/perl-bootloader#22
	- fix checking wrong grub2-editenv path
	- new version 0.803

2014-01-16:	0.802
	- merge gh#openSUSE/perl-bootloader#21
	- cleanup errors messages during installation
	- skip updating if grub2-mkconfig not found
	- added workaround to avoid double rootflags entry (bnc#858853)

2014-01-14:	0.801
	- fix confusion between Tools::GetDeviceMapping() and
	  Core::GetDeviceMapping() (bnc#858268)
	- version 0.801

2013-10-29:	0.800
	- don't store log messages, this feature is not used by anyone
	- add access function to library state so we can access it in pbl-yaml
	- recognize pbl-yaml
	- add pbl-yaml, a commandline-wrapper around perl-Bootloader using
	  YAML files
	- made argument passing a bit more clear
	- extend syntax to handle variable length argument lists
	- fix typo
	- added --version option
	- introduce perl-Bootloader-YAML subpackage
	- new version: 0.800

2013-10-15:	0.711
	- more flexible GetProduct() uses /etc/os-release (bnc#845606)
	- 0.711

2013-10-01:	0.710
	- enable ppc
	- correct Xen device naming to 'xv' instead of 'vx' (i.e. xvda)
	- fix Tools::GetGlobals()
	- merge gh#openSUSE/perl-bootloader#19
	- Fix installation boot parameters not written
	- 0.710

2013-08-26:	0.709
	- merge gh#openSUSE/perl-bootloader#17
	- unify indention
	- use grub2-probe to get device map
	- clean up unused functions and variables
	- remove floppy in device map
	- fix grub2-set-default error during installation
	- better way to know kerenl device of physical drive
	- update-bootloader refresh cleanup and introduce reinit
	- Misc bug fixing and cleanup for 13.1 factory.
	- require coreutils for %post
	- enable grub2 installation on PowerPC
	- new version

2013-02-25:	0.708
	- merge gh#openSUSE/perl-bootloader#13
	- mention grub2 in /boot/boot.readme
	- merge gh#openSUSE/perl-bootloader#14
	- default to entry 0 if no saved_entry is present in grub2 env
	- merge gh#openSUSE/perl-bootloader#15
	- support uefi secureboot
	- fix timeout 0 not work
	- 0.708

2013-02-04:	0.707
	- fix undefined value warning (#799644)
	- 0.707

2013-01-11:	0.706
	- merge gh#openSUSE/perl-bootloader#11
	- use explicit target arch for GRUB2 and remove grub2-efi calls
	- merge gh#openSUSE/perl-bootloader#12
	- handle add|remove in update-bootloader for grub2
	- handle add and remove in update-bootloader for grub2
	- some cleanup
	- 0.706

2012-12-07:	0.705
	- use XZ for package archive
	- 'make clean' now removes package files
	- don't report an error if bootloader type is unset (bnc#757942)
	- don't run external grep to read sysconfig variables
	- don't use Sys::Hostname (bnc#792634)

2012-11-14:	0.704
	- fix disambiguation of section entry names (bnc#765663)
	- some more cleanup
	- support 'parmfile' option in zipl.conf (bnc#788391)
	- 0.704

2012-10-15:	0.703
	- fix compat issues with older perl & rpm
	- 0.703

2012-09-06:	0.702
	- use additional log file /var/log/pbl.log for now to work around
	  broken yast logging
	- log root device & chroot
	- don't use udev for device mapping; instead read symlinks in dev
	  tree
	- add package-local make target
	- clean up spec file
	- if called from yast: log directly to y2log, not via limal
	- 0.702

2012-08-30:	0.701
	- library cleanup
	- cleanup continued; created FileIO submodule
	- added PBL_DEBUG environment var
	- fix GrubDev2UnixDev rewrite
	- rewrite, cont.
	- merge gh#openSUSE/perl-bootloader#10
	- add management to GRUB_BACKGROUND
	- export section and write as global option
	- manage GRUB_DISABLE_OS_PROBER settings
	- use grub device name in /etc/default/grub_installdevice
	- Assorted fixes of grub2 on bugzilla
	- 0.701

2012-08-23:	0.700
	- added install target
	- rewrite pbl's logging functions
	- merge branch master
	- merge gh#openSUSE/perl-bootloader#9
	- fix missing newline in the config
	- 0.6.8
	- Conflicts: version
	- new version

2012-07-13:	0.6.7
	- merge gh#openSUSE/perl-bootloader#8
	- Fix new menuentry format introduced by 2.0
	- Support failsafe kernel parameters
	- Fix title in grub2 2.0 support failsafe mode
	- 0.6.7

2012-07-06:	0.6.6
	- merge gh#openSUSE/perl-bootloader#7
	- Use 'auto' for default gfxmode
	- Replace background with theme
	- Support editing GRUB_DISTRIBUTOR
	- Re-enable to create device.map from BootStorage
	- Patches to fix misc & severe issue (bnc#769949)
	- 0.6.6

2012-06-29:	0.6.5
	- merge gh#openSUSE/perl-bootloader#5
	- Fix grub.cfg missing error
	- Fix bnc#796350 (critical)
	- make dependency on Pod::Usage optional (bnc#760464)
	- 0.6.5

2012-06-04:	0.6.4
	- merge gh#openSUSE/perl-bootloader#2
	- grub2: gfxmode and gfxbackground support
	- grub2efi: console options support
	- gfxterm and console support
	- 0.6.4

2012-04-27:	0.6.3
	- fix after grub2 package update, the system become unbootable
	  (bnc#758570), also fix running update-bootloader --refresh
	  returns error when extended partition is to be installed
	- 0.6.3

2012-04-23:	0.6.2
	- fix bootloader_entry util to correctly handle grub2's case
	  (bnc#755183)
	- add read/write grub2's settings for global options from yast2's
	  bootloader option widgets, including timeout, hiddenmenu,
	  vgamode, append and default
	- add read/write grub2's settings for serial console from yast2's
	  bootloader option widgets
	- add read/write grub2-efi's settings for global options from
	  yast2's bootloader option widgets, including timeout, hiddenmenu,
	  vgamode, append and default
	- version 0.6.2

2012-03-30:	0.6.1
	- grub2-skip-fs-probe-for-extended-partition.patch (bnc#750897)
	- grub2-efi-module.patch: add new grub2-efi module to support
	  booting on UEFI firmware.
	- add kernel parameters (detected necessary and user specfied one
	  during installation) to grub2's config file.(bnc#752939)

2012-03-30:	0.6.0
	- add basic grub2 support
	- adjust license in spec template
	- update changes file

2011-10-14:	0.5.22
	- support more devices in fallback heuristics
	- add basic grub2 support to update-bootloader
	- new version

2011-09-21:	0.5.21
	- also log udevinfo
	- new version

2011-09-19:	0.5.20
	- add warning to log if udev is missing
	- new version

2011-09-02:	0.5.19
	- merge gh#openSUSE/perl-bootloader#1
	- merge branch SLE11-SP2
	- port opensuse 11.1 logging changes to SLE11
	- RT kernel special support (bnc#450153)
	- version bump 0.4.82
	- fix chomping of output (bnc#463451).
	- fix translating udev device for dmRaid (bnc#445602)
	- version bump 0.4.83
	- filter out initrd with empty value (bnc#465148)
	- backport fix for #464098
	- backport fix for multiline entries (bnc#466250)
	- version bump 0.4.85
	- fix multipath hangs (bnc#468792)
	- version bump (0.4.86)
	- improve logging of removed default
	- fix non-exist default (bnc#469314)
	- version rebump 0.4.86
	- fix multipath with user friendly names (bnc#468792)
	- version bump 0.4.87
	- add bootloader section properly in XEN guest (bnc#478365)
	- fix uninstall kernel in xen enviroment
	- version bump 0.4.89
	- allow automatic testing without changing default menu entry
	- add branch before for releasing little enhacements for
	  yast2-bootloader and (trunk is now under development and is not
	  ready to release)
	- revert all changes in SLE branch which is not released and
	  belongs to temporary branch before oss11.2
	- fix timeout for lilo and color global key for grub (bnc#511186)
	- fix test suite to lilo timeout in seconds
	- use inner metadata for global options
	- allow no root in parameters for zipl (bnc#511398)
	- also don't write anything if root is empty
	- Improve partition fallback
	- disable check for partition table incostitency for lilo
	  (bnc#466427)
	- fix # in device name in grub, version bump to 0.4.89.1
	- update changes
	- bump 0.4.89.1
	- fix problems with root in zipl and add it to test suite
	- print output if bootloader command failed (bnc#531252)
	- pass vga mode to xen kernel (fate#305310)
	- pass vga mode to xen kernel also in elilo (fate#305310)
	- pass vga mode to xen kernel also in elilo (add tests) (fate#305310)
	- fix previous commit to properly create new Xen section with vga
	- changes, add common yast make target package
	- adapt to mdraids over whole discs (fate#305883)
	- fix warning (bnc#559151)
	- adapt failsafe to KMS (bnc#560426), release 0.4.89.4
	- fix passing vga mode to xen kernel (bnc#564415)
	- fix splitting of values which now doesn't use that structure
	  (bnc#566020)
	- don't print outside if mdadm missing
	- adapt to new version of getting product description (bnc#583034)
	- releaes
	- force-log
	- add accidently removed line
	- fix problems with long names on ppc (bnc#588612)
	- release new version
	- add fix for restricted section names also for ia64 (bnc#588609)
	- exclude DASD dump sections from menu (bnc#582705), dump version
	- fix hung during update os (bnc#586303)
	- increase log priority for translating unix path to grub path
	- avoid warning if path is not generated (bnc#590459)
	- chagnes
	- fix precedence problem with and (bnc#592248)
	- fix key for check presence
	- create failsafe also on s390x
	- commit changes
	- missing changes from RC3
	- fix problatic fix for product name (bnc#583034)
	- explicitelly mention that output come from pbl (bnc#597810)
	- add fix for mdadm link return (bnc#597812)
	- release 0.4.89.14
	- extend partition detection by ext_range, so also mdraid which is
	  partition is detected (bnc#598057)
	- fix adding failsafe options to menu (never add it as first
	  otherwise it is used as default boot) (bnc#600847)
	- release package
	- chomp output of readlink (bnc#597812)
	- fix persistent names for multipath (bnc#597812)
	- release 0.4.89.17
	- fix translation of dm devices which is in md raid (bnc#597812)
	- dump version
	- remove incorrect workaround for geometry of multipath
	- DM_NAME could contain also partition number in some case
	  (bnc#590637)
	- fix malforming xen append (bnc#657911)
	- backport fix for removing kernel with symlink in path
	  (bnc#680775)
	- increased version, updated changelog
	- fix conversion function from unix disk names to grub names
	  (bnc#688418)
	- rework old device-mapper check (from bnc#393229) and apply also
	  to multipath setups (bnc#692127)
	- call blkdev with '-l' option (bnc#693466, bnc#597399)
	- don't resolve symlinks more often than necessary (bnc#698564)
	- add script for fixing xen issue intruduced in 0.4.89.21
	  (bnc#692007, bnc#698564, bnc#699839)
	- added postinstall script
	- quoting
	- ignore error if we fail to open md devices
	- prepare for use perl-Bootloader for other boot management tools
	  (bnc#672471#c8)
	- change behavior during kernel update to first try use arameters
	  from fitting section and have sysconfig only as failsafe
	  (fate#310946)
	- add test for finding fitting section
	- version dump
	- add snwint fixes which was not in git
	- adapt package target for git
	- fix small issues in packaging
	- Conflicts:
	  perl-Bootloader-testsuite/tests/test_interface/Makefile
	  perl-Bootloader-testsuite/tests/test_interface/core-test.pl
	  perl-Bootloader-testsuite/tests/test_interface/grub1-test.pl
	  perl-Bootloader.changes perl-Bootloader.spec.in src/Core.pm
	  src/Core/ELILO.pm src/Core/GRUB.pm src/Core/ZIPL.pm src/Tools.pm
	  update-bootloader version
	- remove unneeded script ( SLE only )
	- fix tests after merge
	- release test package
	- fix packaging
	- Merge sp2 ( tested by opensuse community )
	- use UnixDev2GrubDev() from sle11-sp2

2011-05-13:	0.5.17
	- fix name
	- resolve symlinks in matching kernel and initrd when remove kernel
	- clean up obsolete code
	- another part of fix for symlinks
	- fix conversion function from unix disk names to grub names
	  (bnc#688418)

2011-02-21:	0.5.16
	- minor fixes to spec file
	- fix detecting extended partition on virtual discs (bnc#659905)
	- force order of serial and terminal configuration (bnc#650150)
	- in tools return reference for easy to implement advanced command
	  line scripts
	- release new version

2011-01-04:	0.5.15
	- fix malformed xen append (bnc#657911)
	- fix build with new perl missing .packlist
	- new version

2010-12-06:	0.5.14
	- fix storing vga mode for new xen sections (bnc#632730)
	- release new version

2010-10-19:	0.5.13
	- fix syntax error
	- fix detect of mf raid (bnc#626132)
	- DM_NAME could contain also partition number in some case
	  (bnc#590637)
	- release 0.5.13

2010-05-25:	0.5.12
	- add missing keyword to hashed password (bnc#598025)
	- remove obsolete Blkid as it not used anymore
	- use properly raid name in partition map (bnc#607852)
	- port fixes from SLE11SP1
	- release pbl 0.5.12

2010-04-22:	0.5.11
	- port changes from SP1 - avoid warning if path is not used and
	  create failsafe also on s390
	- explicitelly mention that output come from pbl (bnc#597810)
	- adapt to new kernel which use only ext_range (bnc#597774)
	- release 0.5.11

2010-04-09:	0.5.10
	- use same root as it is in etc/fstab (bnc#575362)
	- filter out empty boot_custom value (bnc#589433)
	- use new zypper method to get boot label (prevent hang during
	  installation)
	- release 0.5.10

2010-02-26:	0.5.9
	- apply build patch
	- fix splitting of values which now doesn't use that structure
	  (bnc#566020)
	- don't print outside if mdadm missing
	- adapt to new version of getting product description (bnc#583034)
	- release

2009-12-15:	0.5.8
	- fix warning (bnc#559151)
	- adapt failsafe to disable KMS (bnc#560426)
	- fix duplication of md raid on same discs (bnc#555574)
	- release 0.5.8

2009-11-25:	0.5.7
	- pass vga mode to xen kernel (fate#305310); fix mdraid test to
	  check proper directory
	- fix problems with MD Raid (bnc#533866,bnc#547580)
	- handle md raid over disc, version bump 0.5.7

2009-10-09:	0.5.6
	- add tests for md raid, add more verbose logging, add fix for
	  labeled md raid partitions bnc#535065
	- version bump 0.5.6

2009-09-07:	0.5.5
	- fix getting extended partition on specific raid controller
	  (bnc#528220)
	- add few fixes
	- fix for new desktop kernel, version bump 0.5.5

2009-08-04:	0.5.4
	- fix parsing global options
	- fix testsuite to fixed lilo
	- version bump 0.5.3 (again with fix test suite)
	- Allow parameters without root in zipl (bnc#511398)
	- fix also writing empty root
	- Improve partition fallback
	- implement pbl part of md raid failover boot configuration
	  (fate#305008)
	- disable check for partition table incostitency for lilo
	  (bnc#466427)
	- fix MD raid synchronizing for persistant names
	- Improve warning message in config file
	- fix undef perl warning if error occure during reading device
	- fix undef perl warning if error occure during examine MBR
	- version bump 0.5.4

2009-06-08:	0.5.3
	- fix bach log channel (bnc#510037)
	- fix bad timeout in lilo
	- version bump

2009-06-02:	0.5.2
	- fix examine bug, examine duplicate warning, ppc build and dump
	- don't warn during finding extended partition on non-logical drive
	  (bnc#504083)
	- add test for adding memorytest section
	- metadata removal, suppres multipath warning when kernel module
	  for multipath is not loaded (bnc#406742), improve partition
	  fallback for grub
	- dump version 0.5.2

2009-05-07:	0.5.1
	- always set root to current root (bnc#490568)
	- version dump 0.5.1

2009-04-28:	0.5.0
	- remove obsolete former default, which breaks changing flavor
	  (bnc#457057)
	- add fake elilo command to test suite
	- remove pcr and measures as PCR is hardcoded in trusted grub and
	  measures is stored in initrd
	- fix compile and obsolete test in test-suite
	- remove obsolete keys
	- switch to new logging system
	- few minot improvements in Core.pm
	- do not remove old y2logBootloader
	- create only reasonable backup (must be more then hour older then
	  last backup)
	- partial done work on remove complete metadata and on different
	  files on different arch.
	- fix generating different files for deferent archs (but need
	  another work)
	- change time to store backup to 6 hours
	- implement filling udev mapping. Improve Tools logging
	- fix spaces in fstab and optimalize regex
	- improve reading dmraids
	- clean obsolete thinks from tools
	- imrpove logging of dmraid detection
	- remove unneeded parted as it is causes performance problems.
	  Correctly handle /sys/block for partition on mdraid devices
	- fix warnings in bug #464098
	- fix compilation
	- remove metadata from ELILO, not fully working yet
	- fix elilo with removed metadata, improve testsuite make
	- create internal metadata for ppc and also little clean up code
	- fix internal metadata in zipl and clean code
	- change level of some log messages
	- fix multiline entries (bnc#466250)
	- log unknown keys for lilo
	- add interface for explicit udev mapping
	- add initial autosection support
	- fix multipath check when (bnc#471493)
	- port fix from SLE11 to trunk
	- allow automatic testing without changing default menu entry
	- clean console handling
	- merge changes from before_update branch and dump 0.5.0
	- fix test suite and change to new interface for orig names. for
	  now disable auto sections
	- fix parsing # after text for grub bootloader (bnc#481416)
	- add examine mbr script to MBR tools
	- add Split path to as library functions
	- add missing logger
	- remove executable from logger
	- set at least empty udev map to avoid annoying warnings
	- fix warnings and bug during filling partitions
	- fix trhinkpad detection to fit last ybl code, allow manual run of
	  examine mbr from script
	- update to allow accept for buildservice

2008-12-02:	0.4.81
	- fix menu section in grub (bnc#449863)
	- add to test suite problem with menu section
	- fix mapping of multipath (bnc#448110)
	- fix creating multipath map
	- fix parsing multipath output to conform more types (bnc#448110)
	- properly enclose argumetns to command (bnc#447591)
	- improve logging
	- generate man page for update-Bootloader (bnc#450880)

2008-11-27:	0.4.80
	- fix uninitialized value (bnc#440122)
	- change console key behavior to only update old serial console or
	  append as new to end (bnc#444719)
	- add workaround for multipath (bnc#448110)
	- fix broken udev on device-mapper (bnc#445602)
	- improve documentation, move console handling to library
	  (bnc#449726)
	- version bump

2008-11-21:	0.4.79
	- load initrd at 16MB on S/390 (bnc#434234)

2008-11-18:	0.4.78
	- improve logging, also export script
	- add readme to boot directory
	- add new doc to spec file
	- improve logging, remove uncommented code and ensure using
	  keywords in correct sections
	- prevent more then one serial console, also add another console
	  test case to test suite.
	- improve logging of detection DM RAID1
	- fix test suite
	- version bump (forget up version :)

2008-11-06:	0.4.77
	- fix bug with xen kernel in xen enviroment (bnc#436899); increase
	  logging of input/ouput in/from library.
	- version bump
	- fix typo in metadata
	- change /etc/mtab to /proc/mounts (bnc#439181)
	- improve loging of grub translation
	- add blank bootloader for ignore any write bnc#438833
	- forget add test file
	- break attach mountpoint to grub dev if grub dev translate fail
	  (bnc#438051)
	- fix warnings (bnc#440122)
	- clean code...remove resolving symlinks, this need properly
	  testing (now is Vbox broken)
	- properly document none bootloader
	- add to makefile automatic doc generation
	- document path module and improve script to generate doc
	- add warning to MBR module, that it is experimental
	- ignore keys image, xen and initrd in chainloader section
	  (bnc#441463)
	- improve logging if more then once add same image
	- Version bump and allow skip during mounted boot detection.

2008-10-23:	0.4.76
	- add hack for live installation (bnc#432699)
	- improve logging
	- commit last version bump

2008-10-09:	0.4.74
	- use option relocatable only on ia64 architecture (fate#301882)
	- fix last commit, it had bad type
	- improve selecting root devices (bnc#433347)
	- fix warning in metadata
	- add loggging for removing non-existing initrd (bnc 427854
	- fix pattern to confirm mounted /boot (bnc#433835)
	- add support for xen to elilo, as elilo now must work also on x86_64
	- version bump (0.4.74)

2008-10-07:	0.4.73
	- fix syntax error (bnc#430666)
	- fix reading configuration from lilo and also create tests for
	  reading to succesfull conversion from lilo to grub
	- fix timeout to seconds
	- fix uninitialized warning
	- fix kernel/image mismatch (bnc#229978)
	- fix support of module nounzip in xen senctions (bnc#397864)
	- fix commented boot entry in fstab (bnc#431535)
	- don't fail if section is already removed (bnc#431535)
	- version dump (0.4.73)

2008-09-26:	0.4.72
	- add password counter for grub to Library (bnc#407887)
	- add check for correct password
	- fix parsing boolean values in powerLILO(bnc#383287)
	- choosing none updater doesn't get any system information
	  (bnc#425501)
	- change permision on directory with script for kernel upgrade
	- apply patch to change udev to udevadm (by ro)
	- correctly fail if initialize bootloader fail
	- version bump

2008-09-19:	0.4.71
	- change logging communication with library to milestone
	- enhance logging of resolving mount points
	- doesn't allow changing default between xen and default image
	  during update (bnc#397075)
	- don't resolve user specified symlinks (bnc#410431)
	- fix device maps; remove unncesary spaces (bnc#266223)
	- restart each iterator
	- always have default section in ELILO (bnc#250981)
	- try mount /sys if doesn't contain files (bnc#151877)
	- check if /boot is mounted (bnc#340837); parse setkey global
	  option in grub (bnc#410004)
	- move thinkpad mbr detection from yast to perl-Bootloader
	- version bump 0.4.71

2008-09-12:	0.4.70
	- edit configfile "inplace". remove gfxmenu for trusted grub
	- fix changing default after kernel change
	- if new transparent kernel params is not set, then use old
	  behaviour (bnc#423613)
	- fix grep regex
	- fix name for translated section
	- fix root in chainbooting (bnc#394319)
	- don't change original name (bnc#397067)
	- drop support of xen-pae from metadat, in kernel update it is
	  still supported (bnc#400526)
	- change sysconfig variable names to same as uses yast
	- don't use uninitialized value (bnc#252148)
	- version bump, remove read-only flag from lilo (bnc#381669)

2008-08-28:	0.4.69
	- add tests for zipl, prepare for writing tests
	- add first write test, fix problem in sprintf with long console
	- add measure line for trusted grub (fate), add tests for trusted grub
	- fix grub warning about ==, fix bug #396142 (doubling configfile
	  section)
	- tests correct removing makeactive section
	- fix failsafe as default (bnc#413280)
	- correctly read xen append parameters
	- add support for pcr in image and initrd, also with tests (fate -
	  trusted grub)
	- implement pcr index for chainloader and xen, also add tests (fate
	  - trusted grub), remove fake_root, generate it every time new
	- read from sysconfig info about pcr and console, improve failsafe
	  detection
	- version dump, implement measures in sysconfig and change measures
	  from array to hash

2008-08-15:	0.4.68
	- add tests for sections. Support console (fate#110038). Add more
	  debugging output for device_map.
	- fixed match_section if the set of conditions is empty
	- fix compile error fix if console is last part of append add test
	  for image part of sections (include vgamode and console)
	- allow parity, word size and flow control in console
	- correct create console for xen from image append
	- add tracing logging to interface. Improve test to test full
	  console settings.
	- fix makeactive and add tests for it
	- ensure only wanted remap and makeactive is used
	- console support in ELILO
	- console support in powerLILO
	- fix compilation error
	- fix warnings
	- fix xen generation and also whitespace at end
	- add tests for xen section in test-suite add initial tests for
	  elilo and also little conform sources to changed root
	- forgot add elilo.conf
	- add initial tests for PPC
	- set root to fd0 if booting from floppy bnc#278699
	- merges testsuite version and changes with p-bl
	- version dump

2008-08-05:	0.4.67
	- fixed creating chainloader GRUB sections with disk remapping
	  (fate#301994)
	- fix of last change, version bump

2008-07-29:	0.4.66
	- bootloader_entry: return non-zero if update_bootloader fail.
	- bootloader_entry: fail also if refresh after add or remove fail
	  (still unbootable system if uninstall old kernel).
	- dump to log block devices on strange systems (bnc#339802)
	- fix hash key for device map
	- add initial testsuite
	- implement remap and makeactive (fate#301994) fix translate
	  GrubDev2UnixDev if input is disk (e.g. /dev/sda) add some logging
	  input
	- return unmodified GRUB device from GrubDev2UnixDev when match not
	  found in device map so that it is distinguishable GRUB device and
	  cannot be understood as UNIX device (bnc#411937)
	- version bump to 0.4.66

2008-07-22:	0.4.65
	- remove kernel section only if any bootloader is installed
	- changes

2008-07-22:	0.4.64
	- only recommends perl-gettext (fate#301805)
	- add fix for bnc#381386 also to trunk.
	- fix manpage (bnc#398538)
	- change dependency on perl to pel-base (fate#304898)
	- update authors, add new target to main for abuild
	- refactored name of path, prerequisite for automated testsuite.
	- also reflect refactor in perl script for kernel postinst.
	- apply jsrain patch for kernel parameters in stored sysconfig
	- apply patch to avoid use env (snwint) after test for gettext
	  require it.

2008-06-05:	0.4.63
	- Reverted the fix for minor bnc#389891 causing blocker bnc#395085
	- Fixed perl dependency in perl-Bootloader.spec
	- Version bump to 0.4.63

2008-05-29:	0.4.62
	- Corrected naming scheme for pae kernels (bnc#395085)
	- Version bump to 0.4.62

2008-05-26:	0.4.61
	- Create failsafe sections also for pae kernels (former bigsmp)
	  (bnc#372168)
	- Version bump to 0.4.61

2008-05-26:	0.4.60
	- Omit warning when dm_mod is not available (bnc#393229)
	- Version bump to 0.4.60

2008-05-20:	0.4.59
	- Remove duplicate configfile lines (bnc#389891)
	- Version bump to 0.4.59

2008-05-15:	0.4.58
	- Removed "read-only" flag from elilo.conf (bnc#381669)
	- Version bump to 0.4.58

2008-05-15:	0.4.57
	- Removed "read-only" flag from lilo.conf (bnc#381669)
	- Version bump to 0.4.57

2008-04-25:	0.4.56
	- Enhanced graphical failsafe mode (bnc#352020)
	- Version bump to 0.4.56

2008-04-23:	0.4.55
	- Fixed grub device pattern (bnc#382724)
	- Version bump to 0.4.55

2008-04-18:	0.4.54
	- Fixed translation of unix devices to grub devices (bnc#375176)
	- Version bump to 0.4.54

2008-04-07:	0.4.53
	- Prevent perl-Bootloader from segfaulting when loader type is set
	  to "none" (bnc#362650)
	- Version bump to 0.4.53

2008-04-04:	0.4.52
	- Adapted changelog to use bugzilla number references in the
	  following form: (bnc#<number>)
	- Version bump to 0.4.52

2008-04-03:	0.4.51
	- Corrected typo in pattern matching in GRUB.pm
	- Verion bump to 0.4.51

2008-04-03:	0.4.50
	- Fixed string-to-array conversion for menu lists (#352495)
	- Version bump to 0.4.50

2008-03-28:	0.4.49
	- Implemented a fallback for failing udevinfo call (#371618)
	- Version bump to 0.4.49

2008-03-12:	0.4.48
	- Fixed global default label for lilo (#361079)
	- Version bump to 0.4.48

2008-02-22:	0.4.47
	- Changed some l_debug output to l_milestone to be always present
	- Added some additional milestones
	- Added a fallback for grub devices if translation fails
	- Version bump to 0.4.47

2008-01-25:	0.4.46
	- Enhanced distinction in section labels in a way to append the
	  flavors to the labels if necessary (#351126)
	- Version bump to 0.4.46

2008-01-11:	0.4.45
	- Inherit appended xen parameters from previous xen entry if
	  existent (#349207)
	- Version bump to 0.4.45

2007-12-19:	0.4.44
	- Omit error messages on console when looking for devices
	- Version bump to 0.4.44

2007-12-19:	0.4.43
	- Changed a (misleading) warning to a milestone (#345848)
	- Version bump to 0.4.43

2007-12-18:	0.4.42
	- Fixed last checkin so that labels for xen entries get displayed
	  correctly now (#340922)
	- Version bump to 0.4.42

2007-12-07:	0.4.41
	- Distinguish between various xen kernel names (#340922)
	- Version bump to 0.4.41

2007-12-07:	0.4.40
	- Corrected mechanism of removing obsolete boot entries (#285421)
	- Version bump to 0.4.40

2007-12-05:	0.4.39
	- Fixed removal of xen (-pae) entries (#345188)
	- Version bump to 0.4.39

2007-11-30:	0.4.38
	- Prevent changing root device in kernel append line (#344447)
	- Version bump to 0.4.38

2007-11-15:	0.4.37
	- Fixed quoting of single arguments (#276464)
	- Version bump to 0.4.37

2007-11-14:	0.4.36
	- Moved former change to function RemoveSections(), this is the
	  right place
	- Reverted last patch (non existing initrd) because it's already
	  implemented and I've overseen it during patch session.
	- Version bump to 0.4.36

2007-10-19:	0.4.35
	- detect wether there is an entry with a non existing initrd and
	  remove the corresponding section (#276923)
	- Version bump to 0.4.35

2007-10-19:	0.4.34
	- Added new parameter "force-default" to both bootloader_entry and
	  update-bootloader. This parameter (if used) forces the new boot
	  entry to be the default one (#327308)
	- Version bump to 0.4.34

2007-10-19:	0.4.33
	- Fixed perl warning in Core.pm (#302174)
	- Version bump to 0.4.33

2007-09-26:	0.4.32
	- Added flag avoid_reading_device_map to Library::ReadSettings()
	  and to all ParseLines() (#328448)
	- Added more logging to GrubDev2UnixDev()
	- Version bump to 0.4.32

2007-09-24:	0.4.31
	- Save command for adding new section(s) (also multiple kernels) in
	  /boot/perl-BL_delayed_exec for delayed execution in the target
	  system. This script will be run by yast2-bootloader after the
	  installation of packages is finished (#309837)
	- Fixed missing image line in lilo (#294432)

2007-09-21:	0.4.30
	- Added more verbose logging to update-bootloader and
	  bootloader_entry to be able to better analyze occurring problems
	  (#309837)
	- Again added more logging - also related to #309837
	- add lots of logging
	- Tools::DumpLog() now takes a core_lib reference as a parameter,
	  so logs from other instances of the library and core can be
	  dumped
	- Save command for removal of old sections in
	  /boot/perl-BL_delayed_exec for delayed execution in the target
	  system, script will be run by yast2-bootloader after installation
	  of packages is finished (#309837)
	- Version bump to 0.4.30

2007-09-18:	0.4.29
	- Add comment for former default value only during update (related
	  to #309837, prevents accumulating wrong information that may be
	  used during a later update)
	- Version bump to 0.4.29

2007-09-18:	0.4.28
	- Adapted timestamps for log files (#309837)
	- Version bump to 0.4.28

2007-09-18:	0.4.27
	- Add comment for former default value only if it does not yet
	  exist (#309837)
	- Version bump to 0.4.27

2007-09-17:	0.4.26
	- Added comment line to default value in globals of menu.lst, so
	  yast2-bootloader is able to set the new default value properly in
	  case of an update (#309837)
	- Version bump to 0.4.26

2007-09-13:	0.4.25
	- Needed for #309837 and #304515 and others:
	- Convert debug messages to milestones in GrubDev2UnixDev() and
	  UnixDev2GrubDev(): we always want to have logs available when
	  device translation goes wrong
	- Actually log contents of new lines in CreateGrubConfLines()
	- Version bump to 0.4.25

2007-09-12:	0.4.24
	- Removed requirement of mdadm (#302052)
	- Check for defined keys in GRUB.pm to prevent perl warnings
	  (#302174)
	- Check for defined types in GRUB.pm to prevent perl warnings
	  (#302174)
	- Added check for /etc/sysconfig/bootloader in bootloader_entry
	  preventing installation errors in case of shared boot partitions
	  (#303734)
	- Needed for #309837 and #304515 and others:
	- Added (pseudo-)timestamps to standalone logging
	- Removed code from update-bootloader to remove old standalone log
	  file: with the timestamps now the log entries from different runs
	  of update-bootloader can be discerned
	- Minor correction of error message: use ASCII "'" instead of
	  similar Unicode character
	- version bump to 0.4.24

2007-08-20:	0.4.23
	- Provided functionality for adding of new boot entries (#300930)
	- Version bump to 0.4.23

2007-08-16:	0.4.22
	- accept all "original_name"s, not only alphanumeric (fate#302302)
	- Improved error handling for mdadm call in Tools.pm (#288842)
	- Provided functionality for removal of old boot entries (#300930)

2007-08-14:	0.4.21
	- added entry to the changes file
	- added docs to the explain the (non-)handling of devices in
	  chainloader and configfile entries
	- added a FIXME about the dubious fallback to the current
	  installation's boot device as the "root" device for a chainloader
	  or configfile entry
	- Implemented new function AdaptCommentLine in Tools.pm which
	  adapts YaST-like comments in existing sections to be handled
	  properly by yast-bootloader (#283709)
	- Version bump to 0.4.21

2007-08-13:	0.4.20
	- feature #302302:
	- removed CreateChainloaderLine() function and call again:
	- we use a "root" entry now in a configfile section
	- perl-Bootloader cannot pass a value consisting of both a Unix
	  device name and a file name between yast2-bootloader and
	  perl-Bootloader (i.e.
	  "/dev/disk/by-label/testing/boot/grub/menu.lst"), this is not
	  safely analyzable
	- during the last tests, the line was disabled anyway because it
	  triggered on "other" instead of "menu" section type
	- fetching grub_root device (to be used in re-created "root" key)
	  from "root" key in "other" section now as well
	- never use a hardcoded device like "(hd0,0)" in a "rootnoverify"
	  key as a fallback for a missing "root" specification from
	  yast2-bootloader: using "(hd)" now, which will generate an error
	  when the section is selected during boot
	- version bump to 0.4.20

2007-08-13:	0.4.19
	- Use small letters in YaST-style comments due to case sensitive
	  parser (#283709)
	- Improved logging mechanism to write log messages either to
	  /var/log/YaST2/y2log or to /var/log/YaST2/perl-BL-standalone-log,
	  depending on the state of the environment variable
	  YAST_IS_RUNNING. In addition to that, the printing of log
	  messages with level DEBUG can be switched on/off by
	  setting/unsetting the environment variable Y2DEBUG.
	- Added milestones to functions AddSection() and RemoveSections()
	  to print new section entries, already existing section entries
	  and section entries to be removed
	- Adapt function DumpLog() to only write to perl-BL-standalone-log,
	  because against expectations yast2-bootloader does logging of
	  called perl-Bootloader functions on its own
	- Determine md device corresponding to md member device, e.g. if
	  /dev/md0 consists of /dev/sda1 and /dev/sda2, then /dev/md0
	  corresponds to both /dev/sda1 and /dev/sda2 (#271797)
	- Adapted yast2-bootloader-style comments to be correctly detected
	  by yast2-bootloader (fate#302407)
	- added several comments
	- removed deletion of "configfile" entry, in preparation for
	  "configfile" handling patch by sf@
	- enable configfile sections:
	- Version bump to 0.4.19

2007-07-30:	0.4.18
	- Implemented a mechanism to not throw out user defined grub setup
	  sections in menu.lst (#272625)
	- Generalized last fix to not touch any unknown or user-specified
	  sections (#272625)
	- Fixed boot entries of self compiled kernels (#265564)
	- Added yast2-bootloader-style comment to sections created by
	  perl-Bootloader (bug #283709 and fate#302407)
	- Avoid duplicate entries in elilo.conf (#294717)
	- Version bump to 0.4.18

2007-07-06:	0.4.17
	- Minor corrections on naming scheme of boot entries
	- Removed require for limal-bootloader in .spec due to drop of
	  limal-bootloader package in openSUSE 10.3
	- Added my name to the list of authors
	- detect wether we have an entry with non existing initrd (#276923)
	- Corrected naming scheme for boot entry labels to display long
	  ones in case of GRUB and short ones for all other loaders
	  (#277405)
	- Removed a line in update-bootloader which replaced spaces by
	  underscores, because this functionality is done by
	  FixSectionName() in the according bootloader modules (#284308)
	- Removed an "o" suffix from a perl s/foo/bar/ expression that it
	  gets compiled every time, not only once. This enables section
	  names to get fixed properly. (related to #284308)
	- implement FixSectionName funtion for ZIPL module according to the
	  zipl sources (#267866)
	- adjust inline interface documentation accordingly
	- Fixed function FixSectionName() in ZIPL.pm to fix section names
	  on s390 properly (also related to #284308)
	- Implemented a special handling to make sure that all image
	  sections are referenced at least in the base menu (#266605)
	- Fixed resolution of kernel and initrd symlinks in Tools.pm
	  (#276923)
	- Fixed default value handling in update-bootloader. Check if
	  default image is a symlink. If this is the case, let the new
	  kernel be the default one. Else, if the flavor is the same as the
	  one of the new kernel, let the new kernel become the default one.
	  (#276923)
	- Version bump to 0.4.17

2007-05-31:	0.4.16
	- Fixed failsafe parameters to boot in runlevel 3 instead of 5
	- Fixed label naming scheme for boot entries so that debug or
	  vanilla kernel entries for instance get named correctly (#277405)
	- The last commit is also related to bugs #272236 and #272208
	- Fixed creation of failsafe sections in boot menu, this issue is
	  also related to bugs #272236, #272208 and #277405
	- Verion bump to 0.4.16

2007-04-25:	0.4.15
	- Fixed typo in GRUB.pm
	- Fixed 'uname' call in Tools.pm due to return of false
	  architectures (e.g. i586 instead of i386)
	- Improved error handling in Tools.pm
	- Cosmetic correction in Tools.pm
	- Corrected resolution of symlinks in Tools.pm (#244033)
	- Fixed typo in Tools.pm
	- Fixed error handling for "dmsetup" calls in DMRaidAvailable(),
	  IsDMDevice() and IsDMRaidSlave() in Tools.pm
	- use underlying device instead of md RAID-device (Bug #265867)
	- .changes: use underlying device instead of md RAID-device (Bug
	  #265867)
	- clean up comment typo
	- do section type checking cleanly for ZIPL (#261551)
	- Fix for booting from extended partitions (#246161, #259050)
	- Fixed naming scheme of product name for boot menu entries, so
	  that Xen or Failsafe entries for instance get displayed correctly
	- Fixed usage of md raids for ia64 (#233255)
	- Reverted EFI Bootloader Label code in ELILO.pm to display gui
	  wigets in YaST as they used to be displayed (#242985)
	- Version bump to 0.4.15

2007-04-02:	0.4.14
	- Corrected mechanism for adapting default value in Tools.pm
	- fixed typo
	- Corrected mechanism for removal of sections in Tools.pm - part 2
	- Added function GrubDev2MountPoint() to GRUB.pm to be able to
	  retrieve mountpoints of grub devices
	- Fixed functions GrubDev2UnixDev(), UnixDev2GrubDev(),
	  GrubPath2UnixPath() and ParseLines() in GRUB.pm

2007-03-23:	0.4.13
	- Display labels of boot entries correctly, e.g. "openSUSE 10.2 --
	  Kernel-2.6.20-9-default" (#252911)
	- Fixed handling concerning which kernel will be the default entry
	  in bootloader menu (#252911)
	- New kernels will now be put on top of menu.lst
	- Added mechanism to create failsafe boot entries appropriately
	- Corrected handling for default boot entries
	- implemented devicemapper RAID handling
	- added missing entry
	- Added mechanism to name boot entries in a unique way
	- Added mechanism to resolve symlinks in boot entries to be able to
	  remove them properly if needed
	- Corrected naming scheme appropriate to corresponding bootloader
	- Removed function AddNewImageSection() because it's obsolete
	- Corrected resolution of symlinks in Tools.pm
	- Corrected deletion of obsolete entries in Tools.pm
	- Removed commented out code sections
	- Commented out wrong code in update-bootloader and Tools.pm

2007-03-13:	0.4.12
	- handle boolean options correctly in GRUB (#244530)
	- Fallback to first section as default boot if bogus value is given
	- Corrected a typo in Core.pm
	- Fixed a perl warning bug in Core/GRUB.pm (#248211)
	- Following changes merged from branch SLES10-SP1 to trunk:
	- Fixed removal of obsolete entries in /boot/grub/menu.lst
	- Exluded kernel-debug from getting default (#241370)

2007-02-14:	0.4.11
	- fix various zipl configuration problems (#235486)
	- proposed fix for append quotation in elilo (#235400)
	- fix for efi boot entry handling (#233537)
	- remove dead code
	- manually merge SLES10 branch with trunk, part 1/4:
	- fixed default/minimum/maximum values for timeout in ELILO.pm
	- fixed some typos (in descriptions) in ELILO.pm
	- IA 64: Added missing options in elilo.conf (#235400)
	- fixed function InitializeBootloader() in src/Core/ZIPL.pm to
	  correctly call /sbin/zipl (without param "-m menu") (#199582)
	- manually merge SLES10 branch with trunk, part 3/4:
	- Reverted to make Xen kernel default boot kernel if Xen pattern or
	  Xen RPMs are installed. (fate#301384)
	- manually merge SLES10 branch with trunk, part 4/4:
	- fixed function SplitDevPath() in src/Core.pm to avoid an endless
	  loop (#228570) & (#236777)
	- version bump 0.4.11 (skipped 0.4.10 to be consistent again)

2007-01-11:	0.4.9
	- partial fix for ELILO (#228833)
	- adjusted spec file template (and Makefile) to better match target
	  format
	- added new make target 'diff' to diff new package against
	  autobuild repository.
	- mostly complete fix for #228833, wrong elilo configurator
	- fix type in comment/inline documentation
	- final (at least should be ) fix for ELILO (#228833)
	- version bump 0.4.9

2006-12-22:	0.4.8
	- more zipl fixes (#228841)
	- complete implementation for (fate#300732)
	- fix config file syntax problems from #228841
	- version bump 0.4.8

2006-12-08:	0.4.7
	- forgot to adjust the .changes file
	- white space cleanup
	- fixed comment handling for ZIPL
	- basic implementation for generic bootloader widgets for ZIPL
	  (fate#300732)
	- basic implementation for generic bootloader widgets for ELILO
	  (fate#300732)
	- version bump 0.4.7

2006-12-07:	0.4.6
	- implement new section type menu neccessary for linking to other
	  systems/ complexer multiboot setups
	- fixed identation (correct usage of tabs)
	- fixed remove_entry() that it removes xen entries correctly
	  (#223576)
	- bump version to 0.4.6

2006-11-29:	0.4.5
	- updated changes file
	- clean up in GRUB::GetMetaData
	- "BuildRequire" was used as "BuildIgnore" in the spec file, thus
	  exchanged it to have a smooth autobuild process.
	- handle xen sections correctly in update-bootloader (#224330)

2006-11-27:	0.4.4
	- fix mostly all remaining warnings (#222600)
	- do not specify the name of a bootloader entry when removing it,
	  thus removing all sections matching the kernel image and initrd
	  names (which are on a currently mounted partition)
	- version bump

2006-11-20:	0.4.3
	- some more finer fixes for the last entries stuff
	- fix various warnings (#222600)

2006-11-17:	0.4.2
	- forgotten changelog
	- adding support for 'macos_timeout'
	- kernel line and vga mode now editable again (#214875)
	- show most partitions in Custom Boot Partition drop-down list
	  (#220283)
	- fix handling for chainloader sections (broken)
	- fix handling for xen sections (various problems, partial redesign
	  neccessary)
	- boot from MBR does now address the first bios disk (#221204)

2006-11-13:	0.4.1
	- Changed the interface to kernel rpm, no more second guessing.
	- Fixed wrong number of arguments
	- accept old arguments and new arguments in bootloader_entry
	- fixed usage() and did some cleanup
	- Improved usage message
	- use selectdevice type for "root" tag: may be given by-id as well
	- include logical partitions in list of custom boot devices
	  (#213256)

2006-11-07:	0.4.0
	- fix implementation for grub.conf generation and parsing
	  (fate#300732, bug#213256)
	- version bump 0.4.0

2006-10-31:	0.3.5
	- fix typo in Library.pm (#215613)
	- reduce build dependencies
	- version bump 0.3.5

2006-10-30:	0.3.4
	- move GetMetaData call to the constructor (#213255)
	- do error handling when $loader is not yet initialized (#213873)
	- formatting
	- do not commmit to SLES10 by default
	- increase maximum timeout for grub to 3600 seconds (#214146)
	- updated changes file and version

2006-10-21:	0.3.3
	- grub: fix writing globals (#213255)
	- using OO call to GetMetaData() in last fix
	- updated version
	- updated changes file

2006-10-12:	0.3.2
	- removed unneeded code
	- first chunk of changes for GRub using generic interface,
	  grub.conf handling still missing

2006-09-29:	0.3.1
	- do better dev-map handling; clean up after code review
	- added mbuild make target
	- Tools.pm@Udev2Dev : CCISS driver maps slashes to bangs so we have
	  to reverse that, suppress ignorable warnings from udevinfo
	  (#189348)
	- typo fix
	- add more perl syntax checking
	- make target clean cleaner: remove temp directory
	- export GetBootloader function
	- simplify repository to ease daily work
	- does cleanly build after reorganization again
	- add requirement for 'mdadm' and 'e2fsprogs' (#197471)
	- remove braces when parsing device.map file (#203545)
	- support new options no_os_chooser and optional (#202069, #202072)
	- fix man page for update-bootloader
	- added new interface script bootloader_entry
	- new interface for fate#300732

2006-07-25:	0.2.27
	- move Partition2Disk function to Grub.pm as the only place of
	  usage and the only place to make it really work (#189348).
	- do not use device symlink in sysfs as a criteria for device
	  detection which breaks on SmartArray controllers (#189348)
	- bump version to 0.2.27

2006-07-06:	0.2.26
	- fixed regex for com parameter in xen_append (#188614)
	- Makefile now works without /work/src/bin in the path
	- fixed severe syntax problems introduced by r113&r111 in Tools.pm
	  and broke update-bootloader
	- fix CountSections/GetSectionList which always returned all sections
	- fix raid1 support in Tools.pm, still more problems in
	  Grub.pm:GrubPath2UnixPath
	- several 'each' iterators for global hashes not properly reset.
	  This broke root-on-raid1 support so far.
	- do not replace section names of new sections by default section
	  name (#190529)
	- do not interpret zero integer values as null string (#190529)
	- bump version to 0.2.26

2006-06-30:	0.2.25
	- fixed inline documentation for MD2Members
	- fix broken parsing/handling/reassembly esp. of comments in config
	  files
	- fixed broken parsing/handling/reassembly of config files (final
	  vers.)
	- changed name of ReadMDArrays to ReadRAID1Array which matches its
	  intended functionality.
	- Added FIXME notes for mskibbe
	- check for RAID1 md arrays as all others will break on reboot
	  (#178802)
	- added a note about deprecated interface
	- fix mdadm call (RAID1 check)
	- extended/reworked interface in Tools.pm, more generic functions
	  those are neede for another tool needed to enable multipathing
	  after install, add new entries
	- RealFileName called in SplitDevPath anyway
	- be nicer while handling empty paths (#177083)
	- simplify code
	- map kernel_append params to xen_append params (#188614) when
	  having a serial console
	- bump version to 0.2.25

2006-05-22:	0.2.24
	- fix broken selection list (#167390)
	- bump version to 0.2.24

2006-05-19:	0.2.23
	- do not define opt_xen_kernel initially hence else all new entries
	  will be xen entries.
	- call setlocale only when neccessary (helps with --refresh in
	  instsys)
	- do not accept empty product string
	- do syntax checking for global "default" parameter. Has to be an
	  integer (#174829)
	- move check for bool type to save code area (#175228)
	- omit bogus warning (#165158)
	- fix xen section counting when adding (#161559)
	- add a second submit path after we branched inhouse
	- bump version to 0.2.23

2006-05-10:	0.2.22
	- added fix.diff into subversion
	- fix blocking bootloader issue (all archs) found by kukuk right
	  now: bootloader config files are not moved to final destination
	  and bootloader installation thus hangs complete install.

2006-05-09:	0.2.21
	- follow symlinks for dev-by-id (#170588)
	- cleanups
	- added agruen changes from autobuild to svn
	- bump version

2006-04-12:	0.2.20
	- change changelog, bump version

2006-04-12:	0.2.19
	- be nice to Mr. Hauptstadt
	- make error checking of yast2 print-product independent of the
	  contents of the product name
	- remove wrong dashes from update-bootloader
	- changed changes file
	- bump version to 0.2.19

2006-04-07:	0.2.18
	- fix typos
	- changed update-bootloader semantic according to #164427

2006-04-03:	0.2.17
	- extended interface to fix #161755
	- bump version to 0.2.17

2006-03-27:	0.2.16
	- always regenerate our 'meta global' section to avoid #160595
	- bump version to 0.2.16

2006-03-21:	0.2.15
	- use print-product.ycp again, fallback to /etc/SuSE-release if
	  that doesn't work
	- add a fallback value of SUSE Code 10 instead of error in function
	  GetProduct
	- cut off spaces as well, thanks ray
	- added package dependency (#159773)
	- bump version to 0.2.15

2006-03-17:	0.2.14
	- added a FIXME comment
	- create a nicer default for Xen
	- fix erroneous error message on ELILO installation (#156993)
	- updated changes file
	- accept Apple_Bootstrap as possible boot partition (#144388)
	- moved unification of section names in FixSectionName to Core.pm
	- altered loader specific code to use that (needed by #158274)
	- some more fixes while testing last commit
	- rearranged update-bootloader so that bootloader entry translation
	  works again (#158274)
	- bump version to 0.2.14

2006-03-03:	0.2.13
	- update-bootloader: Only modify the section name if no explicit
	  name is specified. Strip directories when generating a name from
	  the image name.
	- change log file name for _all_ archs to y2log_bootloader (#145106)
	- Add some FIXMEs
	- bump version to 0.2.13

2006-02-23:	0.2.12
	- modified interface to enable more generic chages to the bl config
	  sections (#148461)
	- use new interface of Tools.pm for the xen case (#148461)
	- work around some bugs in GRUB.pm
	- modified interface in Tools.pm to enable more generic chages to
	  the bl config sections (#148461)
	- use new interface of Tools.pm for the xen case in
	  update-bootloader (#148461)
	- bump version to 0.2.12

2006-02-14:	0.2.11
	- get Product name and version from var/adm/*/*/prod_00000001
	  directly, YaST is broken here
	- fix for broken Product.ycp
	- code cleanup
	- workaround for broken Product.ycp (Bug #148625)
	- implement new requirements/word split in FixSectionName
	- bump version to 0.2.11

2006-02-10:	0.2.10
	- bump version to 0.2.9
	- append new section at the end insted of the start
	- remove stage1_dev code = history
	- fix boot_* tag handling which breaks kernel builds through
	  update-bootloader calls
	- fix boot_*/stage1_dev tag handling which breaks kernel builds
	  through update-bootloader, hopefully final checkin for fate#2154
	- remove stage1_dev code for POWER
	- bump version to 0.2.10

2006-02-08:	0.2.9
	- add a sceletton for really helpful online docu
	- setting svn:keyword property to 'Author Date Id Revision'
	- make code nicer
	- introduce Bootloader::Tools::UpdateBootloader(), no longer in
	  Add/Remove Section functions
	- image name may be empty and stored either under "kernel" or "image"
	- added help messages to make update-bootloader usuable
	- added error handling which was not there at all
	- added --force and --refresh option for fate#2154
	- bump version to 0.2.9

2006-02-06:	0.2.8
	- extended author list
	- added changes from pth for (fate#2154)
	- avoid irritating warnings for uninitialized(undef) variables
	- added changes from mls@suse.de to svn: converted neededforbuild
	  to BuildRequires
	- translate only grub and lilo check for non-ASCII characters
	- change from pth@suse.de:
	- changed update-bootloader: translate "Previous Kernel" according
	  to language in RC_LANG from /etc/sysconfig/language
	- update .changes
	- updated .changes file
	- update-bootloader changes by pth and od:
	- only grub allows blanks in section titles
	- for non-grub: restrict section title lenght to 16 chars
	- beautify code
	- updated changes file
	- fix typo in image name
	- get kernel/initrd name and path from default section, put
	  GetSystemLanguage into Tools.pm
	- clean up
	- use 'image' key tag everywhere
	- use functions to detect kernel/initrd
	- call function with changed name
	- create name and initrd only if not given via parameter
	- catch cases wherethere is no key 'kernel'
	- bump version to 0.2.8

2006-01-24:	0.2.7
	- handle entries for block devices in sysfs correctly. replaced
	  heuristic term by a proper device and partition detection
	  (fate#2154)

2006-01-20:	0.2.6
	- fixed wrong comments
	- fixed fabulous =/== typo (#144263)
	- defaultboot section must not be empty (#144321)
	- avoid colliding definition of default label in 'menu' and
	  'defaultboot'
	- add nice paranthesis to fix blocking yast2 crash (#143746)
	- bump version to 0.2.6

2006-01-18:	0.2.5
	- fixed famous last typo
	- get rid of 'append=splash=silent" default
	- add nice paranthesis to fix blocking yast2 crash (#143746)
	- bump version to 0.2.5

2006-01-16:	0.2.4
	- ZIPL: implemented new UI scheme
	- ZIPL: actually use autogenerated boot menu
	- ZIPL: syntax fix in boot menu
	- submit to right directory
	- handle null output from 'udevinfo' gracefully (#141733)
	- fix inline documentation
	- ZIPL: take out the [defaultboot] garbage
	- unify format of type spec string, they alway start with type,
	  desc, default now.

2005-12-20:	0.2.3
	- autogenerate mail on submit
	- installer segfaults due to empty config (means always) #140127

2005-12-19:	0.2.2
	- consider BUILD_DIST settings
	- fixed getting MD array info via mdadm (#137987)
	- add needed label text
	- bump version to 0.2.2

2005-11-18:	0.2.1
	- added support for generic yast2-bootloader dialogs (proof of
	  concept)
	- fixed updating elilo configuration (#116739) do more verbose
	  output to log when installing lilo
	- submitted norootforbuild from STABLE to SVN
	- fixed reading GRUB settings when /boot subtree is on MD array
	  (#130236)
	- extend partition information interface transparently
	- encode module exports and transport them through 'global'
	  (intermediate solution/ proof of concept)
	- eliminate some unneeded 'system' calls
	- reenable ppc bootloader config
	- bump version to 0.2.1

2005-09-28:	0.2
	- Initial commit of perl-Bootloader package as found in abuild
	  tree. Should be fairly current.

